05Robot 3.0

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Public Attributes | List of all members
SyncObject Class Reference
Computer Vision Module

`#include <SyncObject.h>`

Inheritance diagram for SyncObject:

## Public Slots
void | startAcquisition (int T)
void | stopAcquisition ()
void | connectCamera (CameraThread *ct)
void | disconnectCamera (CameraThread *ct)
void | connectProcessor (ProcessorThread *pt)
void | disconnectProcessor (ProcessorThread *pt)
void | sync ()

## Signals
void | startTimer (int)
void | stopTimer ()
void | cStart ()
void | cSync ()
void | cGrab ()
void | cStop ()
void | pStart ()
void | pProcess (int, int)
void | pStop ()
void | operationDone ()
void | displayFPS (float)

## Public Member Functions
| SyncObject ()
| ~SyncObject ()
QList< CameraThread * > | getCameraList () const
QList< ProcessorThread * > | getProcessorList () const

## Public Attributes
QSemaphore * | syncSem
bool | isRunning

## Constructor & Destructor Documentation

SyncObject | ( |  | ) |
| inline

~SyncObject | ( |  | ) |
| inline

## Member Function Documentation

void cGrab | ( |  | ) |
| signal

void connectCamera | ( | CameraThread * | ct | ) |
| slot

void connectProcessor | ( | ProcessorThread * | pt | ) |
| slot

void cStart | ( |  | ) |
| signal

void cStop | ( |  | ) |
| signal

void cSync | ( |  | ) |
| signal

void disconnectCamera | ( | CameraThread * | ct | ) |
| slot

void disconnectProcessor | ( | ProcessorThread * | pt | ) |
| slot

void displayFPS | ( | float |  | ) |
| signal

QList<CameraThread *> getCameraList | ( |  | ) | const

QList<ProcessorThread *> getProcessorList | ( |  | ) | const

void operationDone | ( |  | ) |
| signal

void pProcess | ( | int | ,
|  | int |
| ) |  |
| signal

void pStart | ( |  | ) |
| signal

void pStop | ( |  | ) |
| signal

void startAcquisition | ( | int | T | ) |
| slot

void startTimer | ( | int |  | ) |
| signal

void stopAcquisition | ( |  | ) |
| slot

void stopTimer | ( |  | ) |
| signal

void sync | ( |  | ) |
| slot

## Member Data Documentation

bool isRunning

QSemaphore* syncSem

The documentation for this class was generated from the following file:

- misc/SyncObject.h